Survey: Red, redder, reddest: SCUBA-2 imaging of colour-selected Herschel sources

Telescope: JCMT and Herschel

Instrument: SCUBA-2 and SPIRE

Filters: 850, 250, 300 and 500 um

Fields: HELMS 

P.I.: Steven Duivenvoorden

Reference: 2018MNRAS.477.1099D	

URL: http://adsabs.harvard.edu/abs/2018MNRAS.477.1099D
